org.gradle.nativeplatform

## Interface PrebuiltStaticLibraryBinary

- All Superinterfaces:
    Binary, NativeBinary, NativeLibraryBinary, StaticLibraryBinary

      @Incubating
      public interface PrebuiltStaticLibraryBinary
      extends StaticLibraryBinary

  A static library that exists at a known location on the filesystem.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setStaticLibraryFile(File staticLibraryFile)` The static library binary file.

    - ### Methods inherited from interface org.gradle.nativeplatform.StaticLibraryBinary

      `getStaticLibraryFile`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeLibraryBinary

      `getHeaderDirs, getLinkFiles, getRuntimeFiles`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinary

      `getBuildType, getFlavor, getTargetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

- - ### Method Detail

    - #### setStaticLibraryFile

          void setStaticLibraryFile(File staticLibraryFile)

      The static library binary file.